package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 对接平台配置信息对象 docking_platform_config
 * 
 * @author jsowell
 * @date 2023-05-27
 */
public class DockingPlatformConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 对接平台名称 */
    @Excel(name = "对接平台名称")
    private String name;

    /** 运营商id */
    @Excel(name = "运营商id")
    private String operatorId;

    /** 运营商密钥 */
    @Excel(name = "运营商密钥")
    private String operatorSecret;

    /** 签名密钥 */
    @Excel(name = "签名密钥")
    private String signSecret;

    /** 消息密钥 */
    @Excel(name = "消息密钥")
    private String dataSecret;

    /** 消息密钥初始化向量 */
    @Excel(name = "消息密钥初始化向量")
    private String dataSecretIv;

    /** 删除标识 */
    private String delFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setOperatorId(String operatorId) 
    {
        this.operatorId = operatorId;
    }

    public String getOperatorId() 
    {
        return operatorId;
    }
    public void setOperatorSecret(String operatorSecret) 
    {
        this.operatorSecret = operatorSecret;
    }

    public String getOperatorSecret() 
    {
        return operatorSecret;
    }
    public void setSignSecret(String signSecret) 
    {
        this.signSecret = signSecret;
    }

    public String getSignSecret() 
    {
        return signSecret;
    }
    public void setDataSecret(String dataSecret) 
    {
        this.dataSecret = dataSecret;
    }

    public String getDataSecret() 
    {
        return dataSecret;
    }
    public void setDataSecretIv(String dataSecretIv) 
    {
        this.dataSecretIv = dataSecretIv;
    }

    public String getDataSecretIv() 
    {
        return dataSecretIv;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("operatorId", getOperatorId())
            .append("operatorSecret", getOperatorSecret())
            .append("signSecret", getSignSecret())
            .append("dataSecret", getDataSecret())
            .append("dataSecretIv", getDataSecretIv())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
